
import java.util.Scanner;
import javax.swing.*;

public class Ticketmaster {
	
	public static void parseAndExecuteCommand(Theater theater, TheaterDisplay display, String command) {
		String[] words = command.split(" ");
		if (words[0].equals("reserve")) {
			String name = words[1];
			int howManySeats = Integer.parseInt(words[2]);
			ReservationThread rt = new ReservationThread(theater, display, name, howManySeats);
			rt.start();
			
		} /*else if (words[0].equals("lookup")) {
			Reservation r = theater.lookupReservation(words[1]);
			if (r == null) {
				System.out.println("No reservation found.");
			} else {
				System.out.println(r);
			
		} */
		else if (words[0].equals("cancel")) {
			String name = words[1];
			CancellationThread ct = new CancellationThread(theater, display, name);
			ct.start();
		}
	}
	
	public static void main(String args[]) {
		Scanner scanner = new Scanner(System.in);
		
		System.out.print("Enter theater size: ");
		int size = scanner.nextInt();

		// Make a new theater
		Theater theater = new Theater(size);

		// set up display
		TheaterDisplay d = createAndShowGUI(theater);
		
		// Read in commands until we see 'end'
		String command;
		scanner.nextLine(); // clear the enter keypress that's waiting
		System.out.print("\nEnter command: ");
		while (!(command = scanner.nextLine()).equals("end")) {
			parseAndExecuteCommand(theater, d, command);
			d.refresh();
			System.out.print("\nEnter command: ");
		}
		((JFrame)SwingUtilities.getWindowAncestor(d)).dispose();
	}
	
	private static TheaterDisplay createAndShowGUI(Theater t) {
		JFrame f = new JFrame("Live Seating Chart");
		f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		TheaterDisplay d = new TheaterDisplay(t);
		f.add(d);
		f.pack();
		f.setVisible(true);
		return d;
	}
}
